Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226559 - Merge Review: xhtml1-dtds
Summary: Merge Review: xhtml1-dtds
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:19 UTC by Nobody's working on this, feel free to take it
Modified: 2008-03-18 17:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-17 20:23:22 UTC
ville.skytta: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:19:36 UTC
Fedora Merge Review: xhtml1-dtds

http://cvs.fedora.redhat.com/viewcvs/devel/xhtml1-dtds/
Initial Owner: veillard@redhat.com

Comment 1 Benjamin Lewis 2008-02-10 23:39:01 UTC
I havn't looked into this too much but I noticed a couple of things:

The use of PreReq is deprecated.
The buildroot is not in the correct form (it dosn't include a %{release})
rpmlint is complaining about xhtml1-dtds.spec: W: mixed-use-of-spaces-and-tabs
(spaces: line 59, tab: line 95) (as well as the use of PreReq)
Is W3C IPR a valid License short tag?

Comment 2 Daniel Veillard 2008-02-11 16:13:26 UTC
I didn't rebuild this package for ages (it's basically static immutable data),
i will happily take patches cleaning up the spec file for Fedora from someone
who is more aware than me about the new packaging rules.

Daniel

Comment 3 Ville Skyttä 2008-02-11 21:39:13 UTC
I'm willing to sync this up with the html401-dtds package (and in fact I've
already done most of it locally already a long time ago), will post what I have
in a jiffy.

Comment 4 Ville Skyttä 2008-02-11 22:38:16 UTC
Ok, SRPM, specfile and included *.xml and patches are available at
http://scop.fedorapeople.org/packages/

* Mon Feb 11 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.0-20020801.1
- Major spec file rewrite, syncing with html401-dtds, most visible changes:
- Various XML cataloguing improvements.
- Register to SGML catalogs in addition to XML.
- Install to %%{_datadir}/xml per the FHS.
- Sync with Fedora packaging guidelines.
- Silence post-install scriptlet.

The SGML catalog patch is there because the scope where a SGMLDECL affects
things is not well defined in SGML catalog systems (or at least implementations)
and we don't want xhtml1.dcl to mess with anything else but our DTDs.  A similar
patch is already in the html401-dtds package.

If you wish, I'm willing to take ownership or co-maintain this package after the
review is done.

Comment 5 Daniel Veillard 2008-02-12 08:23:14 UTC
Ville Skyttä, i really dont think they should be merge and for good reasons.
html401-dtds is SGML data, to be processed with SGML tools and linked
locally with SGML catalogs. 
xhtml1-dtds is XML data, using namespaces so not interpreted correctly
by SGML processing tools, to be used with XML processing tools and linked 
locally with XML catalogs.

Can you explain what you meant by:
  - Register to SGML catalogs in addition to XML.
  - Various XML cataloguing improvements

There have been long debates in that field, i really don't want to 
wake up the sleeping dragons, but really want stuff to keep working!

Different kind of data, different kind of requirement, different kind of
usages, really merging those does not make sense at all. And the 'html'
pattern in the name is not a good technical reason for doing that merge.
So I don't understand why you though it was a good idea in the first place,
could you explain ? And please fix the xhtml1-dtds spec file if you want but
keep it separate !

Daniel 

Comment 6 Ville Skyttä 2008-02-12 18:17:59 UTC
Validating XHTML 1.0 docs works with OpenSP (and thus the W3C markup validator;
not only in the Fedora package but upstream W3C production instances as well) if
the DTDs are in SGML catalogs.  Note also that upstream ships a SGML declaration
for XHTML 1.0 in their tarball.

Off the top of my head, various XML cataloguing improvements includes at least
tightening up public ID matching, registration of entity files separately for
reuse by other specifications, providing an unversioned xhtml-dtds catalog in an
obvious place (/etc/xml) for cases where only the XHTML 1.0 DTDs are needed
instead of the whole catalog, keeping the system root catalog clean by inserting
just one nextCatalog entry there etc.  As said, I've made these changes a long
time ago in a local package so I don't remember all the details.

I'm afraid I don't understand what you mean by "please fix the xhtml1-dtds spec
file if you want but keep it separate".  Which fixes would you find acceptable?
 Keep it separate from what?

Comment 7 Daniel Veillard 2008-02-13 11:17:22 UTC
Okay, my bad I misunderstood your 'sync this up with the html401-dtds package'
comment with the idea of merging the two, and really that didn't made sense to 
me. keeping separate, fixing packaging and improving the XML catalogs sounds
just fine to me. I'm also fine with co-ownership, the only touble I ever had
with xhtml1-dtds was about the legal question that the licence didn't allowed 
modification (under the same XHTML name).

Daniel

Comment 8 Ville Skyttä 2008-02-18 23:24:06 UTC
Ok, no problem.  But I'm still somewhat unclear about how to proceed; would you
like me to commit my updated version to CVS, wholesale or only some parts of it?

Comment 9 Daniel Veillard 2008-02-28 15:14:27 UTC
Oops seems I dropped this. Sure no problem, update and commit please,

Daniel

Comment 10 Ville Skyttä 2008-02-28 21:12:06 UTC
I'm ready to commit, but unfortunately there's an ACL on the package that
prevents me from doing that:

**** Access denied: scop is not in ACL for rpms/xhtml1-dtds/devel

I've just applied for co-maintainership in devel; if you could approve the
requests in pkgdb (and/or check the "group members can commit" for cvsextras if
you're fine with it), that should grant me the needed permissions:

https://admin.fedoraproject.org/pkgdb/packages/name/xhtml1-dtds

Comment 11 Daniel Veillard 2008-02-29 14:08:16 UTC
Okidoc, done, ask me if there is anything else missing,

Daniel

Comment 12 Ville Skyttä 2008-02-29 18:19:22 UTC
Ok, commit succeeded, thanks!

I'm a bit unsure how to proceed with this review - as far as I'm concerned
current devel branch in CVS is fine and ready to be approved but as I was the
one who did the specfile rewrite and other changes, maybe it's more appropriate
if someone else looks at it...?

Comment 13 Daniel Veillard 2008-03-03 10:15:21 UTC
Hum, I'm really not up to date with all the Fedora specific rules for spec files,

Daniel

Comment 14 Ville Skyttä 2008-03-17 20:23:22 UTC
To resolve the looming deadlock, I'm approving this and already went ahead and
requested a build of the current devel branch contents.

My reasoning is that Daniel has looked into the changes, and if he had committed
my patch, I'd also have approved the package and it would have been built pretty
soon.  So the only difference to that is that I happened to commit it with
Daniel's approval which should really make no difference in my opinion with
regards to reviewing the package.  I'm also a co-maintainer nowadays.

Everyone, please feel free to reopen and advice how to proceed (see comment 12)
if you disagree with the way things were done.

Comment 15 Daniel Veillard 2008-03-18 17:14:46 UTC
From my point of view it's fine,

Daniel


Note You need to log in before you can comment on or make changes to this bug.